Bug 1443695 - [RFE] Container Management Administrator Role should exist in CloudForms out-of-the-box
Summary: [RFE] Container Management Administrator Role should exist in CloudForms out-...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.8.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: GA
: 5.8.0
Assignee: zakiva
QA Contact: Einat Pacifici
URL:
Whiteboard: container
Depends On: 1421177
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-04-19 18:31 UTC by Satoe Imaishi
Modified: 2017-05-31 14:55 UTC (History)
10 users (show)

Fixed In Version: 5.8.0.12
Doc Type: Enhancement
Doc Text:
Clone Of: 1421177
Environment:
Last Closed: 2017-05-31 14:55:01 UTC
Category: ---
Cloudforms Team: Container Management
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1367 normal SHIPPED_LIVE Moderate: CFME 5.8.0 security, bug, and enhancement update 2017-05-31 18:16:03 UTC

Comment 2 CFME Bot 2017-04-19 20:21:09 UTC
New commit detected on ManageIQ/manageiq/fine:
https://github.com/ManageIQ/manageiq/commit/f1c7258db00cd51268e52a2ebafb763582415ba8

commit f1c7258db00cd51268e52a2ebafb763582415ba8
Author:     Greg Blomquist <blomquisg@gmail.com>
AuthorDate: Tue Apr 18 10:38:13 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Wed Apr 19 16:15:05 2017 -0400

    Merge pull request #14137 from zakiva/add_roles
    
    Add Container Administrator and Operator roles
    (cherry picked from commit 943dd6554db099f55813856a8c2957af9a49c2d4)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1443695
    https://bugzilla.redhat.com/show_bug.cgi?id=1443694

 db/fixtures/miq_user_roles.yml    | 89 +++++++++++++++++++++++++++++++++++++++
 db/fixtures/role_map.yaml         |  2 +
 spec/models/miq_user_role_spec.rb |  2 +-
 3 files changed, 92 insertions(+), 1 deletion(-)

Comment 3 Mooli Tayer 2017-04-23 14:15:38 UTC
Zahi, should this be on POST?

Comment 4 Einat Pacifici 2017-05-10 09:51:41 UTC
Verified. Navigate to Configuration --> Access Control --> Roles 
Now there is :
EVM Role Container Administrator 
EVM Role Container Operator

Comment 6 errata-xmlrpc 2017-05-31 14:55:01 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1367


Note You need to log in before you can comment on or make changes to this bug.